﻿<%@ page title="" language="C#" masterpagefile="~/MasterFile/TimeCheck.master" autoeventwireup="true" inherits="Transactions_TA_UI_Transaction_Transfer, App_Web_xk4cffgn" %>

<%@ Register Assembly="DevExpress.Web.v14.2" Namespace="DevExpress.Web" TagPrefix="dxe" %>
<%@ Register TagPrefix="dxGridview" Namespace="DevExpress.Web" Assembly="DevExpress.Web.v14.2" %>
<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="BodyContentPH" runat="Server">
    <!--[if gt IE 5.5]>
	<link rel="stylesheet" type="text/css" href="../css/anytimeIE.css" />
    <link rel="stylesheet" type="text/css" href="../css/ProgressforIE.css" />
    <![endif]-->
    <link href="../css/ProgressBar.css" rel="stylesheet" type="text/css" />
    <script src="../plugins/datepicker/jquery-1.11.1.min.js"></script>
    <script language="javascript" src="../js/jquery.autocomplete.js" type="text/javascript"></script>
    <script src="../plugins/datepicker/jquery-1.11.1.min.js"></script>
    <script src="../plugins/datepicker/bootstrap-datepicker.js"></script>
    <script>
        $(function () {
            $('#ctl00_BodyContentPH_txtTransferStartDate').datetimepicker({ format: document.getElementById('ctl00_BodyContentPH_Hidden1').value });
            $('#ctl00_BodyContentPH_txtTransferEndDate').datetimepicker({ format: document.getElementById('ctl00_BodyContentPH_Hidden1').value });
        });
        if (navigator.userAgent.toLowerCase().indexOf('chrome') != -1)
            document.write('<link href="../css/safari.css" rel="stylesheet" type="text/css" />');
    </script>
    <div class="content-header">
        <h1 style="background-image: url('../dist/img/EmpTransfer.png'); background-repeat: no-repeat; padding-left: 40px">
            <asp:Label ID="lbl_Header" runat="server"></asp:Label>
        </h1>
        <asp:SiteMapPath ID="site" runat="server" CssClass="breadcrumb">
            <NodeStyle CssClass="active" />
        </asp:SiteMapPath>
    </div>
    <div class="content">
        <!--FILTERS-->
        <div class="inr-ftr">
            <div class="row">
                <div class="col-sm-2">
                    <div class="inr-fil-text">
                        <asp:Label ID="lblFilter" runat="server" Text="Filter"></asp:Label>
                    </div>
                </div>
            </div>
        </div>
        <!--FILTERS-->
        <div id="myModal" class="modal modal-default fade" role="dialog">
            <div class="modal-dialog" style="min-width: 85%;">
                <!-- Modal content-->
                <div class="modal-content" style="margin-top: 100px">
                    <div class="modal-header">
                        <button type="button" class="close" data-dismiss="modal" style="border-radius: 50px;">
                            &times;</button>
                        <h4 class="modal-title" style="padding-bottom: 10px">
                            <asp:Label ID="lblDataView" runat="server" Text="Data View"></asp:Label>
                        </h4>
                    </div>
                    <div class="modal-body">
                        <iframe id="iframePopup" runat="server" scrolling="auto" width="100%" height="450"
                            style="border-style: none"></iframe>
                    </div>
                    <div class="modal-footer" style="display: none">
                        <button type="button" class="btn btn-primary pull-right" data-dismiss="modal">
                            Close</button>
                    </div>
                </div>
            </div>
        </div>
        <div class="emp-filter">
            <div class="row">
                <div class="form-horizontal">
                    <div class="col-md-12">
                        <%--Add Search text box and other search control here--%>
                        <asp:HiddenField ID="Hidden1" runat="server" />
                        <asp:HiddenField ID="Hidden2" runat="server" />
                        <div class="row form-group" id="trEmployeeDetails" runat="server">
                            <div class="col-md-2 col-sm-2">
                                <asp:Label ID="lbl_EmployeeName" runat="server"></asp:Label>
                            </div>
                            <div class="col-md-3 col-sm-3">
                                <asp:TextBox onpaste="return true" ID="txt_EmpName" runat="server" CssClass="form-control"
                                    MaxLength="50" onkeypress="return employeename_singlequotes_maxlength(event,this,50,MaxLength);">
                                </asp:TextBox>
                                <cc1:AutoCompleteExtender ID="acEmpName" runat="server" CompletionInterval="10" CompletionSetCount="10"
                                    CompletionListItemCssClass="item" CompletionListHighlightedItemCssClass="AutocompleteCSS"
                                    Enabled="true" FirstRowSelected="true" MinimumPrefixLength="1" ServicePath="../WebServices/AutoCompleteExtender.asmx"
                                    ServiceMethod="GetEmployeeName" CompletionListCssClass="autocomplete_completionListElement"
                                    TargetControlID="txt_EmpName">
                                </cc1:AutoCompleteExtender>
                            </div>
                            <div class="col-md-1 col-sm-0">
                            </div>
                            <div class="col-md-2 col-sm-2">
                                <asp:Label ID="lbl_EmployeeId" runat="server"></asp:Label>
                            </div>
                            <div class="col-md-3 col-sm-3">
                                <asp:TextBox onpaste="return true" ID="txtEmployeeId" runat="server" CssClass="form-control"
                                    MaxLength="15" onkeypress="return acceptCharsNum_MaxLength(event,this,15,MaxLength);">
                                </asp:TextBox>
                                <cc1:AutoCompleteExtender ID="acEmployeeId" runat="server" CompletionSetCount="10"
                                    CompletionListItemCssClass="item" CompletionListHighlightedItemCssClass="AutocompleteCSS"
                                    CompletionInterval="10" Enabled="true" MinimumPrefixLength="1" TargetControlID="txtEmployeeId"
                                    ServicePath="../WebServices/AutoCompleteExtender.asmx" ServiceMethod="GetEmployeeId"
                                    CompletionListCssClass="autocomplete_completionListElement" FirstRowSelected="true">
                                </cc1:AutoCompleteExtender>
                            </div>
                        </div>
                        <div class="row form-group">
                            <div class="col-md-2 col-sm-2">
                                <asp:Label ID="lblTransferStartDate" runat="server"></asp:Label>
                            </div>
                            <div class="col-md-3 col-sm-3">
                                <asp:TextBox onpaste="return true" ID="txtTransferStartDate" runat="server" CssClass="form-control"
                                    EnableViewState="False" onCut="return false" onDrop="return false">
                                </asp:TextBox>
                            </div>
                            <div class="col-md-1 col-sm-0">
                            </div>
                            <div class="col-md-2 col-sm-2">
                                <asp:Label ID="lblTransferEndDate" runat="server"></asp:Label>
                            </div>
                            <div class="col-md-3 col-sm-3">
                                <asp:TextBox onpaste="return true" ID="txtTransferEndDate" runat="server" CssClass="form-control"
                                    EnableViewState="False" onCut="return false" onDrop="return false">
                                </asp:TextBox>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-5 col-sm-4">
                            </div>
                            <div class="col-md-6 col-sm-6">
                                <div class="pull-right-button">
                                    <%--Add serach button here--%>
                                    <asp:Label ID="lbl_Error" runat="server" ForeColor="Red"></asp:Label>
                                    <asp:LinkButton ID="btn_Search" CssClass="btn src-btn fa-search" runat="server" OnClick="btn_Search_Click"
                                        OnClientClick="return WeekdayValidation();" />
                                    <asp:LinkButton ID="btn_Clear" CssClass="btn clr-btn fa-refresh" runat="server" OnClick="btn_Clear_Click" />
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!--RES TABLE-->
        <div class="border-table new-space form-group">
            <div class="row form-group">
                <div class="col-md-12 page-button col-sm-12">
                    <asp:LinkButton ID="btn_Add" CssClass="btn add-btn fa-plus" runat="server" OnClick="btn_Add_Click" />
                    <%--Add Cancel button Add button here--%>
                    <%--<asp:LinkButton ID="btnImport" CssClass="btn add-btn fa-plus" runat="server" OnClick="btnImport_Click" />
                    <asp:LinkButton ID="lnktbnexcel" Visible="false" ToolTip="Excel" CommandName="excel" runat="server" CssClass="btn del-btn fa-file-excel-o" OnClick="lnktbnexcel_Click">
                    </asp:LinkButton>
                    <asp:LinkButton ID="lnkbtnpdf" Visible="false" ToolTip="Pdf" CommandName="pdf" runat="server" CssClass="btn del-btn fa-file-pdf-o" OnClick="lnktbnexcel_Click">
                    </asp:LinkButton>   KeyFieldName="LeaveApplication_Id"   --%> 
                </div>
            </div>
            <div class="table-responsive" style="padding-bottom: 10px">
                <%--Grid Add Here--%>
                <asp:HiddenField ID="hdnSelectRow" runat="server" />
                <asp:HiddenField ID="hdnGetAllid" runat="server" />
                <dxGridview:ASPxGridView ID="grvEmpTransfer" runat="server" ClientInstanceName="grvEmpTransfer"
                     EnableCallBacks="False" AutoGenerateColumns="False"
                    OnHtmlRowCreated="grvEmpTransfer_HtmlRowCreated" Width="100%">
                    <Columns>
                        <dxGridview:GridViewDataTextColumn FieldName="TrnsfrID" VisibleIndex="0"
                            Visible="False">
                            <DataItemTemplate>
                                <asp:Label ID="lblTrnsfrID" Text='<%# Eval("TrnsfrID") %>' runat="server"></asp:Label>
                            </DataItemTemplate>
                            <HeaderStyle HorizontalAlign="Center" Wrap="True" />
                        </dxGridview:GridViewDataTextColumn>
    

                        <dxGridview:GridViewDataTextColumn FieldName="Employeeid" VisibleIndex="1" Caption="Employee Id"
                            Width="100px" Visible="false">
                            <Settings AllowDragDrop="False" AllowAutoFilter="False"/>
                            <DataItemTemplate>
                                <asp:Label ID="lblempid" runat="server" Text='<%# Bind("Employeeid") %>' Style="overflow-y: auto; 
                            overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                            </DataItemTemplate>
                            <HeaderStyle HorizontalAlign="Center" Wrap="True" />
                        </dxGridview:GridViewDataTextColumn>

                        <dxGridview:GridViewDataTextColumn FieldName="Employee_Code" VisibleIndex="2"
                            Width="120px">
                            <Settings AllowDragDrop="False" AllowAutoFilter="True"/>
                            <DataItemTemplate>
                                <asp:Label ID="Label1" runat="server" Text='<%# Bind("Employee_Code") %>' Style="overflow-y: auto; overflow-x: auto;
                                 word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                            </DataItemTemplate>
                            <HeaderStyle HorizontalAlign="Center" Wrap="True" />
                        </dxGridview:GridViewDataTextColumn>

                        <dxGridview:GridViewDataTextColumn FieldName="Employee_Name" VisibleIndex="3" Width="200px">
                            <Settings AllowDragDrop="False" AllowAutoFilter="True"/>
                            <DataItemTemplate>
                                <asp:Label ID="lblTrnsfr_frm" runat="server" Text='<%# Bind("Employee_Name") %>' Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                            </DataItemTemplate>
                            <HeaderStyle HorizontalAlign="Center" Wrap="True" />
                        </dxGridview:GridViewDataTextColumn>

                          <dxGridview:GridViewDataTextColumn FieldName="NwBrachID" VisibleIndex="4" Width="150px">
                            <Settings AllowDragDrop="False" AllowAutoFilter="False" />
                            <DataItemTemplate>
                                <asp:Label ID="lblNwDsgtonID" Text='<%# Eval("OrganizationLevels") %>' runat="server"></asp:Label>
                            </DataItemTemplate>
                            <HeaderStyle HorizontalAlign="Center" Wrap="True" />
                        </dxGridview:GridViewDataTextColumn>

                        <dxGridview:GridViewDataColumn FieldName="Trnsfr_From" VisibleIndex="5" Width="206px">
                            <Settings AllowAutoFilter="False" AllowDragDrop="False" />
                            <DataItemTemplate>
                                <asp:Label ID="lbl_Duration" Text='<%# Eval("Trnsfr_From") %>' runat="server"></asp:Label>
                            </DataItemTemplate>
                            <HeaderStyle HorizontalAlign="Center" Wrap="True" />
                        </dxGridview:GridViewDataColumn>

                        <%--<dxGridview:GridViewDataColumn FieldName="Trnsfr_To" VisibleIndex="5" Width="206px">
                            <Settings AllowAutoFilter="False" AllowDragDrop="False" />
                            <DataItemTemplate>
                                <asp:Label ID="lbl_Duration" Text='<%# Eval("Trnsfr_To") %>' runat="server"></asp:Label>
                            </DataItemTemplate>
                            <HeaderStyle HorizontalAlign="Center" Wrap="True" />
                        </dxGridview:GridViewDataColumn>--%>

                        <dxGridview:GridViewDataTextColumn FieldName="NwBrachID" VisibleIndex="6" Width="180px">
                            <Settings AllowDragDrop="False" AllowAutoFilter="False" />
                            <DataItemTemplate>
                               
                                <asp:Label ID="lblNwDsgtonID" Text='<%# Eval("NwOrganizationLevels") %>' runat="server"></asp:Label>
                            </DataItemTemplate>
                            <HeaderStyle HorizontalAlign="Center" Wrap="True" />
                        </dxGridview:GridViewDataTextColumn>


                        <dxGridview:GridViewDataTextColumn FieldName="Trnsfr_Dte" VisibleIndex="7" Width="180px">
                            <Settings AllowDragDrop="False" AllowAutoFilter="False" />
                            <DataItemTemplate>
                                <asp:Label ID="lblTrnsfr_Dte" Text='<%# Eval("Trnsfr_Dte") %>' runat="server" Style="overflow-y: auto; 
                            overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                            </DataItemTemplate>
                            <HeaderStyle HorizontalAlign="Center" Wrap="True" />
                        </dxGridview:GridViewDataTextColumn>
    

                     <%--   <dxGridview:GridViewDataTextColumn FieldName="NwDepartment" VisibleIndex="8" Width="200px">
                            <Settings AllowAutoFilter="False" AllowDragDrop="false" />
                            <DataItemTemplate>
                                <asp:Label ID="lblNwReprtngTo" Text='<%# Eval("Nwdepartment") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                            </DataItemTemplate>
                            <HeaderStyle HorizontalAlign="Center" Wrap="True" />
                        </dxGridview:GridViewDataTextColumn>--%>

                        <dxGridview:GridViewDataTextColumn FieldName="NwDsgtonID" VisibleIndex="8" Width="200px">
                            <Settings AllowAutoFilter="False" AllowDragDrop="false" />
                            <DataItemTemplate>
                                <asp:Label ID="lblNwApprvlAuthrty" Text='<%# Eval("NwDsgton") %>' runat="server" Style="overflow-y: auto;
                                 overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                            </DataItemTemplate>
                            <HeaderStyle HorizontalAlign="Center" Wrap="True" />
                        </dxGridview:GridViewDataTextColumn>

                        <dxGridview:GridViewDataTextColumn FieldName="Remarks" VisibleIndex="9" Width="200px">
                            <Settings AllowAutoFilter="False" AllowDragDrop="false" />
                            <DataItemTemplate>
                                <asp:Label ID="lblRemarks" Text='<%# Eval("Remarks") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                            </DataItemTemplate>
                            <HeaderStyle HorizontalAlign="Center" Wrap="True" />
                        </dxGridview:GridViewDataTextColumn>

                        <%--<dxGridview:GridViewDataTextColumn FieldName="Trnsfr_EtyDteTme" VisibleIndex="11"
                            Width="134px" Visible="false">
                            <Settings AllowDragDrop="False" AllowAutoFilter="False"/>
                            <DataItemTemplate>
                                <asp:Label ID="lblTrnsfr_EtyDteTme" Text='<%# Eval("Trnsfr_EtyDteTme") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                            </DataItemTemplate>
                            <HeaderStyle HorizontalAlign="Center" Wrap="True" />
                        </dxGridview:GridViewDataTextColumn>--%>

                       <%-- <dxGridview:GridViewDataTextColumn FieldName="Trnsfr_status" VisibleIndex="10" Width="200px">
                            <Settings AllowAutoFilter="False" AllowDragDrop="false" />
                            <DataItemTemplate>
                                <asp:Label ID="lblTrnsfr_status" Text='<%# Eval("Trnsfr_status") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                            </DataItemTemplate>
                            <HeaderStyle HorizontalAlign="Center" Wrap="True" />
                        </dxGridview:GridViewDataTextColumn>--%>

                        <%--<dxGridview:GridViewDataColumn HeaderStyle-VerticalAlign="Middle" HeaderStyle-HorizontalAlign="Center"
                            CellStyle-VerticalAlign="Middle" CellStyle-HorizontalAlign="Center" Width="32px" VisibleIndex="11">
                            <Settings AllowAutoFilter="false" />
                            <DataItemTemplate>
                                <a data-toggle="modal" title='<%# Session["View"] %>' data-placement="top" 
                                    href="#"><span class="btn btn-defalut view-icons"></span></a>
                                
                            </DataItemTemplate>
                            <HeaderStyle HorizontalAlign="center" Wrap="true" />
                        </dxGridview:GridViewDataColumn>--%>
                         <%-- data-target="#myModal"onclick="return navi('TA_UI_Transactions_LeaveApplicationView.aspx?TrnsfrID=<%# Eval("TrnsfrID") %>')"--%>
                        <dxGridview:GridViewDataColumn HeaderStyle-VerticalAlign="Middle" HeaderStyle-HorizontalAlign="Center"
                            CellStyle-VerticalAlign="Middle" CellStyle-HorizontalAlign="Center" Width="32px" VisibleIndex="10">
                            <Settings AllowAutoFilter="false"/>
                            <DataItemTemplate>
                                <asp:LinkButton ID="btnDelete" runat="server" ValidationGroup='<%# Bind("Employeeid") %>'
                                    ToolTip='<%# Session["Delete"] %>' data-toggle="tooltip" OnClick="btnDelete_Click" CommandName='<%# Eval("TrnsfrID") %>'
                                    CommandArgument='<%# Bind("Employee_Name") %>' data-placement="top" CssClass="btn btn-defalut del-icons"
                                    Style="color: Red" OnClientClick="return Delete_Conf();"></asp:LinkButton>
                            </DataItemTemplate>
                            <HeaderStyle HorizontalAlign="center" Wrap="true" />
                        </dxGridview:GridViewDataColumn>

                    </Columns>
                    <SettingsPager PageSize="10">
                        <PageSizeItemSettings Visible="true" ShowAllItem="true" Items="10,20,50,100,200" />
                    </SettingsPager>
                    <Settings ShowFilterRow="true" ShowFilterRowMenu="true" HorizontalScrollBarMode="Auto" 
                        ShowGroupPanel="true" VerticalScrollBarMode="Hidden" VerticalScrollableHeight="400" />
                    <SettingsText EmptyDataRow="No Records Found" />
                    <SettingsCustomizationWindow Enabled="True" />
                    <SettingsBehavior AutoExpandAllGroups="false" ColumnResizeMode="Control" />
                    <SettingsBehavior AllowDragDrop="true" />
                    <Styles AlternatingRow-CssClass="table-bg">
                    </Styles>
                </dxGridview:ASPxGridView>
                <dxGridview:ASPxGridViewExporter ID="ASPxGridViewExporter1" runat="server" GridViewID="grv_LeaveApplication">
                    <PageFooter Right="[Page # of Pages #]">
                    </PageFooter>
                </dxGridview:ASPxGridViewExporter>
            </div>
        </div>
        <!--RES TABLE-->
    </div>
    <script type="text/javascript">
        function navi(loc) {
            document.getElementById('ctl00_BodyContentPH_iframePopup').src = loc;
            //            window.location=loc;
            return false;
        }
        function navi_Angler(loc) {
            //document.getElementById('ctl00_BodyContentPH_iframePopup').src = loc;
            window.location = loc;
            return false;
        }
        function Delete_Conf() {
            //Alert_AreyousuretoDelete
            return confirm('Are you sure to Delete ?');
        }
        function ShowPopup() {
            $("#btnShowPopup").click();
        }
    </script>
    <script type="text/javascript">
        //values for check date
        var Monthfourdigit = 'Please enter valid date as month, day, and four digit year : Format MM/dd/yyyy.';
        //Adding this line var Datefourdigit='Please enter valid date with correct format dd/MM/yyyy'; as newly
        var Datefourdigit = 'Please enter valid date with correct format dd/MM/yyyy';
        var Invalidyearentry = 'Invalid year entry';
        var Invalidmonthentry = 'Invalid month entry';
        var Invaliddateentry = 'Invalid date entry';
        var DateformatDDMONYYYY = 'Incorrect date format. Enter as DD-MON-YYYY';
        var Entertime = 'Enter time';
        var Valueforhours = 'Invalid value for hours:';
        var Invalidvalueforminutes = 'Invalid value for minutes:';
        var Invalidtimeformat = 'Invalid time format:';
        var EntervalidDateandTime = 'Please enter valid Date and Time';
        var ValiddatemonthMMDDYYHHMM = 'Please enter valid Date and Time MM/dd/yyyy HH:mm';
        var ValiddatemonthMMDDYYHHMMTT = 'Please enter valid Date and Time MM/dd/yyyy hh:mm tt';
        var EntervalidDateandTime = 'Please enter valid Date and Time';
        var Invalidvalueforhours = 'Invalid value for hours:';
        var Invalidvalueforminites = 'Invalid value for minutes:';
        var MaxLength = "Maximum length is ";
        var EnterDetails = 'Please enter any of the above details';
        var FillFromandToDate = 'Please enter both the From and To Date';
        function MaxLengthh(maxLength) {
            MaxLength = maxLength;
        }
        function SetAlertCheckDate(monthfourdigit, datefourdigit, invalidyearentry, invalidmonthentry, invaliddateentry, dateformatDDMONYYYY, entertime, valueforhours, invalidvalueforminutes, invalidtimeformat, entervalidDateandTime, validdatemonthMMDDYYHHMM, validdatemonthMMDDYYHHMMTT, entervalidDateandTime, invalidvalueforhours, invalidvalueforminites) {
            Monthfourdigit = monthfourdigit;
            Datefourdigit = datefourdigit;
            Invalidyearentry = invalidyearentry;
            Invalidmonthentry = invalidmonthentry;
            Invaliddateentry = invaliddateentry;
            DateformatDDMONYYYY = dateformatDDMONYYYY;
            Entertime = Entertime;
            Valueforhours = valueforhours;
            Invalidvalueforminutes = invalidvalueforminutes;
            Invalidtimeformat = invalidtimeformat;
            EntervalidDateandTime = entervalidDateandTime;
            ValiddatemonthMMDDYYHHMM = validdatemonthMMDDYYHHMM;
            ValiddatemonthMMDDYYHHMMTT = validdatemonthMMDDYYHHMMTT;
            EntervalidDateandTime = entervalidDateandTime;
            Invalidvalueforhours = invalidvalueforhours;
            Invalidvalueforminites = invalidvalueforminites;
        }
        function SetAlertMessages(enterDetails, fillFromandToDate) {
            EnterDetails = enterDetails;
            FillFromandToDate = fillFromandToDate;
        }
        function WeekdayValidation() {
            var EmpId = document.getElementById('ctl00_BodyContentPH_txtEmployeeId');
            var EmpName = document.getElementById('ctl00_BodyContentPH_txt_EmpName');
            var weekDay = document.aspnetForm.ctl00_BodyContentPH_txtLeaveStartDate;
            var weekDay2 = document.aspnetForm.ctl00_BodyContentPH_txtLeaveEndDate;
            var swipCard = document.getElementById('ctl00_BodyContentPH_txtSwipeCard');
            if (EmpName == null && EmpId == null && weekDay.value == '' && weekDay2.value == '' && swipCard == null) {
                alert(EnterDetails);
                return false;
            }
            else if ((weekDay.value == '' && weekDay2.value != '') || (weekDay.value != '' && weekDay2.value == '')) {
                alert(FillFromandToDate);
                return false;
            }
            var DateFormat = document.getElementById('ctl00_BodyContentPH_Hidden1').value;
            if (weekDay.value != '') {
                if (checkDate(weekDay, DateFormat, Monthfourdigit, Datefourdigit, Invalidyearentry, Invalidmonthentry, Invaliddateentry, DateformatDDMONYYYY, Entertime, Valueforhours, Invalidvalueforminutes, Invalidtimeformat, EntervalidDateandTime, ValiddatemonthMMDDYYHHMM, ValiddatemonthMMDDYYHHMMTT, EntervalidDateandTime, Invalidvalueforhours, Invalidvalueforminites)) {
                    if (weekDay2.value != '') {
                        if (checkDate(weekDay2, DateFormat, Monthfourdigit, Datefourdigit, Invalidyearentry, Invalidmonthentry, Invaliddateentry, DateformatDDMONYYYY, Entertime, Valueforhours, Invalidvalueforminutes, Invalidtimeformat, EntervalidDateandTime, ValiddatemonthMMDDYYHHMM, ValiddatemonthMMDDYYHHMMTT, EntervalidDateandTime, Invalidvalueforhours, Invalidvalueforminites)) {
                        }
                        else {
                            return false;
                        }
                    }
                    else {
                        document.getElementById('ctl00_BodyContentPH_txtLeaveEndDate').focus();
                        return false;
                    }
                }
                else {
                    return false;
                }
            }
        }
    </script>
</asp:Content>
